### Method

# Gtk Widget observe_children

#### Declaration [src]

    GListModel*
    gtk_widget_observe_children (
      GtkWidget* widget
    )

#### Description [src]

Returns a list model to track the children of the widget.

Calling this function will enable extra internal bookkeeping to track children and emit signals on the returned listmodel. It may slow down operations a lot.

Applications should try hard to avoid calling this function because of the slowdowns.

#### Return value

Type: A list model of `GtkWidget`

a list model tracking `widget`‘s children.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.